[paludis-dev] [Paludis] #1189: Optional dependency on itself makes package not installable

Paludis trac at pioto.org
Sun Sep 4 22:37:33 UTC 2011


#1189: Optional dependency on itself makes package not installable
--------------------------------------+--------------------
    Reporter:  eeight                 |      Owner:
        Type:  defect                 |     Status:  new
    Priority:  Sometime               |  Milestone:
   Component:  core/paludis/resolver  |    Version:  0.64.3
  Resolution:                         |   Keywords:
  Blocked By:                         |   Blocking:
Distribution:  Gentoo                 |
--------------------------------------+--------------------

Comment (by ciaranm):

 Oh, right.

 There's a sense in which I'm not entirely sure we can legally order this.
 The thing is, {{{ || ( a b ) }}} doesn't exactly mean "a or b". If a and b
 are both installed, {{{ || ( a b ) }}} means "a and b", or possibly "a or
 b and I'm not telling you which"... This is very fiddly.

-- 
Ticket URL: <http://trac.pioto.org/paludis/ticket/1189#comment:4>
Paludis <http://paludis.pioto.org/>
Paludis, the Other Package Mangler


More information about the paludis-dev mailing list